import { DataElementCreationService } from './dataelement-creation-service';
import { BaseDataElement } from '../../../core/elements/models/base-data-element.model';
import { DiagramService } from './diagram.service';
export declare abstract class DataElementCreationBaseService implements DataElementCreationService {
    private diagramService;
    elementType: string;
    abstract createElement(data: any): BaseDataElement;
    constructor(diagramService: DiagramService);
    private returnDiagram(diagramJSON);
    populateBasicData(data: any, dataElement: BaseDataElement): void;
}
